Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl.util
Class GenctlSwitch

    java.lang.Object
      com.ssaglobal.generator.genctl.util.GenctlSwitch

    public class GenctlSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `GenctlPackage`

Field Summary
`protected static GenctlPackage` | `modelPackage` The cached model package

Constructor Summary
`GenctlSwitch()` Creates an instance of the switch

Method Summary
`java.lang.Object` | `caseAppliesTo(AppliesTo object)` Returns the result of interpretting the object as an instance of 'Applies To'
`java.lang.Object` | `caseGeneratorControlArea(GeneratorControlArea object)` Returns the result of interpretting the object as an instance of 'Generator Control Area'
`java.lang.Object` | `caseGeneratorPreferences(GeneratorPreferences object)` Returns the result of interpretting the object as an instance of 'Generator Preferences'
`java.lang.Object` | `caseGeneratorProperty(GeneratorProperty object)` Returns the result of interpretting the object as an instance of 'Generator Property'
`java.lang.Object` | `caseModelResourceFactory(ModelResourceFactory object)` Returns the result of interpretting the object as an instance of 'Model Resource Factory'
`java.lang.Object` | `caseTemplate(Template object)` Returns the result of interpretting the object as an instance of 'Template'
`java.lang.Object` | `caseTemplateCondition(TemplateCondition object)` Returns the result of interpretting the object as an instance of 'Template Condition'
`java.lang.Object` | `caseTemplateHelper(TemplateHelper object)` Returns the result of interpretting the object as an instance of 'Template Helper'
`java.lang.Object` | `caseTemplatePackagePreferences(TemplatePackagePreferences object)` Returns the result of interpretting the object as an instance of 'Template Package Preferences'
`java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'
`protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GenctlPackage modelPackage

  The cached model package

Constructor Detail

### GenctlSwitch

    public GenctlSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                        org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected java.lang.Object doSwitch(int classifierID,
                                        org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAppliesTo

    public java.lang.Object caseAppliesTo(AppliesTo object)

  Returns the result of interpretting the object as an instance of 'Applies To'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Applies To'.
  See Also:
    `doSwitch(EObject)`

### caseGeneratorControlArea

    public java.lang.Object caseGeneratorControlArea(GeneratorControlArea object)

  Returns the result of interpretting the object as an instance of 'Generator Control Area'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Generator Control Area'.
  See Also:
    `doSwitch(EObject)`

### caseGeneratorPreferences

    public java.lang.Object caseGeneratorPreferences(GeneratorPreferences object)

  Returns the result of interpretting the object as an instance of 'Generator Preferences'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Generator Preferences'.
  See Also:
    `doSwitch(EObject)`

### caseGeneratorProperty

    public java.lang.Object caseGeneratorProperty(GeneratorProperty object)

  Returns the result of interpretting the object as an instance of 'Generator Property'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Generator Property'.
  See Also:
    `doSwitch(EObject)`

### caseModelResourceFactory

    public java.lang.Object caseModelResourceFactory(ModelResourceFactory object)

  Returns the result of interpretting the object as an instance of 'Model Resource Factory'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Model Resource Factory'.
  See Also:
    `doSwitch(EObject)`

### caseTemplate

    public java.lang.Object caseTemplate(Template object)

  Returns the result of interpretting the object as an instance of 'Template'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Template'.
  See Also:
    `doSwitch(EObject)`

### caseTemplateCondition

    public java.lang.Object caseTemplateCondition(TemplateCondition object)

  Returns the result of interpretting the object as an instance of 'Template Condition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Template Condition'.
  See Also:
    `doSwitch(EObject)`

### caseTemplateHelper

    public java.lang.Object caseTemplateHelper(TemplateHelper object)

  Returns the result of interpretting the object as an instance of 'Template Helper'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Template Helper'.
  See Also:
    `doSwitch(EObject)`

### caseTemplatePackagePreferences

    public java.lang.Object caseTemplatePackagePreferences(TemplatePackagePreferences object)

  Returns the result of interpretting the object as an instance of 'Template Package Preferences'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Template Package Preferences'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD